Bug 252421 - Review Request: virt-viewer - a viewer for virtualized guest OS graphical consoles
Review Request: virt-viewer - a viewer for virtualized guest OS graphical con...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On: 252418
  Show dependency treegraph
Reported: 2007-08-15 21:10 EDT by Daniel Berrange
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-20 09:59:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2007-08-15 21:10:20 EDT
Spec URL: http://fedorapeople.org/~berrange/review/virt-viewer/virt-viewer.spec
SRPM URL: http://fedorapeople.org/~berrange/review/virt-viewer/virt-viewer-0.0.1-1.fc8.src.rpm
Virtual Machine Viewer provides a graphical console client for connecting to virtual machines. It uses the GTK-VNC widget to provide the display,
and libvirt for looking up VNC server details.

This application will be required by the next release of  python-virtinst (and the virt-install tool for provisioning guest OS). It provides a replacement for vncviewer which knows how to securely connect to VNC servers using SSL/TLS and x509 certificates. This is required for the Fedora 8 Virtualization Security goals:

Comment 1 Parag AN(पराग) 2007-08-16 23:32:06 EDT
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
1bb5b589b20f45922a59da25d71c95b3  virt-viewer-0.0.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Requires: libatk-1.0.so.0 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libcairo.so.2 libdl.so.2
libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0
libgnutls.so.13 libgobject-2.0.so.0 libgtk-vnc-1.0.so.0 libgtk-x11-2.0.so.0
libpango-1.0.so.0 libpangocairo-1.0.so.0 libvirt.so.0 libxenstore.so.3.0
libxml2.so.2 rtld(GNU_HASH)

+ Not a GUI app.

Comment 2 Daniel Berrange 2007-08-17 10:09:08 EDT
New Package CVS Request
Package Name: virt-viewer
Short Description: A graphical console client for connecting to virtual machines.
Owners: berrange,hbrock
Branches: F-7
Commits by cvsextras: yes
Comment 3 Daniel Berrange 2007-08-20 09:59:41 EDT
Built into rawhide
Comment 4 Warren Togami 2007-08-20 10:17:25 EDT
It appears that this request is complete?

Note You need to log in before you can comment on or make changes to this bug.